Odoo Help

0

After upgraded to OS X El Capitan 10.11, Odoo Server Error

By
Suhendri
on 10/1/15, 11:36 AM 2,595 views

I'm using Mac and installed Odoo v8 in Yosemite 10.10 and works fine until today morning I upgraded the OS X to El Capitan 10.11 and server is error when I try to start it. I'm using Postgre SQL 9.4.4.  Error is shown as below:


File "/Users/Hok/Odoo/v8/openerp/models.py", line 57, in <module>
import psycopg2
File "/Library/Python/2.7/site-packages/psycopg2/__init__.py", line 50, in <module>
from psycopg2._psycopg import BINARY, NUMBER, STRING, DATETIME, ROWID
ImportError: dlopen(/Library/Python/2.7/site-packages/psycopg2/_psycopg.so, 2): Library not loaded: libpq.5.dylib
Referenced from: /Library/Python/2.7/site-packages/psycopg2/_psycopg.so
Reason: unsafe use of relative rpath libpq.5.dylib in /Library/Python/2.7/site-packages/psycopg2/_psycopg.so with restricted binary


How to fix it?

0
Suhendri
On 10/2/15, 10:26 AM

Problem is fixed. Just disable SIP by restart to recovery mode and from the terminal enter "csrutil disable". 

About This Community

This platform is for beginners and experts willing to share their Odoo knowledge. It's not a forum to discuss ideas, but a knowledge base of questions and their answers.

Register

Odoo Training Center

Access to our E-learning platform and experience all Odoo Apps through learning videos, exercises and Quizz.

Test it now

Question tools

2 follower(s)

Stats

Asked: 10/1/15, 11:36 AM
Seen: 2595 times
Last updated: 10/2/15, 10:26 AM